## org.eclipse.emf.cdo.common.revision
Interface CDOList

All Superinterfaces:
  java.util.Collection<java.lang.Object>, java.lang.Iterable<java.lang.Object>, java.util.List<java.lang.Object>, org.eclipse.net4j.util.collection.MoveableList<java.lang.Object>

All Known Subinterfaces:
  InternalCDOList

    public interface CDOList

extends org.eclipse.net4j.util.collection.MoveableList<java.lang.Object>

Since:
  2.0

Method Summary
`java.lang.Object` `get(int index, boolean resolve)` Returns the element at position index of this list and optionally resolves `proxies`.

Methods inherited from interface org.eclipse.net4j.util.collection.MoveableList
`move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### get

    java.lang.Object get(int index,
                         boolean resolve)

  Returns the element at position index of this list and optionally resolves `proxies`.

  Parameters:
    `index` - The position of the element to return from this list.
    `resolve` - A value of `false` indicates that `CDORevisionUtil.UNINITIALIZED` may be returned for unresolved elements. A value of `true` indicates that it should behave identical to `List.get(int)`.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.